Debian Bug report logs - #468989
pymol: may use different memory API for a given memory block

version graph

Package: pymol; Maintainer for pymol is Debichem Team <debichem-devel@lists.alioth.debian.org>; Source for pymol is src:pymol.

Reported by: Matthias Klose <doko@cs.tu-berlin.de>

Date: Sun, 2 Mar 2008 16:25:50 UTC

Severity: important

Tags: patch

Fixed in version pymol/1.1~beta3-2

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#468989; Package pymol. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
New Bug report received and forwarded. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: maintonly@bugs.debian.org
Subject: pymol: may use different memory API for a given memory block
Date: Sun, 2 Mar 2008 17:23:20 +0100 (MET)
Package: pymol
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-python2.5

The C API requires using the same memory API for a given memory block,
which will show up as a segfault, at least in python2.5. This code was
found by a search of all sources build-depending on python-dev, having
a PyObject_ function for allocation and a PyMem_ function for
deallocation in the same file.  This may be a real problem, or a false
positive.

The most common error seen is of the form:

  PyObject *
  new_wadobject(WadFrame *f, int count) {
    wadobject   *self;
    self = PyObject_NEW(wadobject, &WadObjectType);
    [...]
  }

  static void
  wadobject_dealloc(wadobject *self) {
    PyMem_DEL(self);
  }

This particular example can be fixed with replacing PyMem_DEL with
PyObject_Del.

For more information, see
http://docs.python.org/api/memory.html
http://docs.python.org/api/memoryExamples.html

Please set the severity of this report to "serious", if it is a real
problem, please close the report if it is a false positive.  Ask
the debian-python@lists.debian.org ML for help. Archive of the
search results: http://ftp-master.debian.org/~he/affected-files.tar.gz




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#468989; Package pymol. Full text and rfc822 format available.

Acknowledgement sent to Barry deFreese <bddebian@comcast.net>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 468989@bugs.debian.org (full text, mbox):

From: Barry deFreese <bddebian@comcast.net>
To: 468989@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: pymol: may use different memory API for a given memory block
Date: Wed, 05 Mar 2008 23:29:01 -0500
[Message part 1 (text/plain, inline)]
tags 468989 + patch

thank you

Hi,

Here is a dpatch patch that should fix this issue.

Thank you,

Barry deFreese


[16_pymem_del.dpatch (application/x-shellscript, attachment)]

Tags added: patch Request was from Barry deFreese <bddebian@comcast.net> to control@bugs.debian.org. (Thu, 06 Mar 2008 04:36:03 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. (Thu, 06 Mar 2008 14:27:05 GMT) Full text and rfc822 format available.

Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@cs.tu-berlin.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 468989-close@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 468989-close@bugs.debian.org
Subject: Bug#468989: fixed in pymol 1.1~beta3-2
Date: Sun, 16 Mar 2008 13:47:03 +0000
Source: pymol
Source-Version: 1.1~beta3-2

We believe that the bug you reported is fixed in the latest version of
pymol, which is due to be installed in the Debian FTP archive:

pymol_1.1~beta3-2.diff.gz
  to pool/main/p/pymol/pymol_1.1~beta3-2.diff.gz
pymol_1.1~beta3-2.dsc
  to pool/main/p/pymol/pymol_1.1~beta3-2.dsc
pymol_1.1~beta3-2_i386.deb
  to pool/main/p/pymol/pymol_1.1~beta3-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 468989@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Banck <mbanck@debian.org> (supplier of updated pymol package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 16 Mar 2008 14:26:06 +0100
Source: pymol
Binary: pymol
Architecture: source i386
Version: 1.1~beta3-2
Distribution: unstable
Urgency: low
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Changed-By: Michael Banck <mbanck@debian.org>
Description: 
 pymol      - An OpenGL Molecular Graphics System written in Python
Closes: 468989
Changes: 
 pymol (1.1~beta3-2) unstable; urgency=low
 .
   * debian/patches/16_pymem_del.dpatch: Fix usage of different memory
     APIs; by Barry deFreese; closes: #468989.
Files: 
 084c9f16c63d357cb1df69294ff8a310 933 science optional pymol_1.1~beta3-2.dsc
 c0a4aeeb876e2afc9d10a1ebc46d746f 20473 science optional pymol_1.1~beta3-2.diff.gz
 954cf44e1c82da445f2ab73341cc8ef7 6116324 science optional pymol_1.1~beta3-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQFH3SKsmHaJYZ7RAb8RAmzsAKDN0WNLpjb/sQ3Ar8QeLpvO1ScCVgCfU7Rx
5j4LP2+1k74aLF8f/2VCNs0=
=qwm+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 May 2008 07:34:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:28:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.